summaryrefslogtreecommitdiff
path: root/tests/mkdir
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/mkdir
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/mkdir')
-rwxr-xr-xtests/mkdir/parents4
-rwxr-xr-xtests/mkdir/perm4
-rwxr-xr-xtests/mkdir/t-slash4
3 files changed, 6 insertions, 6 deletions
diff --git a/tests/mkdir/parents b/tests/mkdir/parents
index cf0e97d4a..7c37fa966 100755
--- a/tests/mkdir/parents
+++ b/tests/mkdir/parents
@@ -24,7 +24,7 @@ mkdir -m 700 e-dir || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
. $abs_srcdir/../setgid-check
@@ -56,4 +56,4 @@ p=`ls -ld a/b/c|sed 's/ .*//'`; case $p in drwx------);; *) fail=1;; esac
# `d's perms are determined by the -m argument.
p=`ls -ld a/b/c/d|sed 's/ .*//'`; case $p in $d_mode_str);; *) fail=1;; esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mkdir/perm b/tests/mkdir/perm
index 71998f711..56c9fcfa5 100755
--- a/tests/mkdir/perm
+++ b/tests/mkdir/perm
@@ -24,7 +24,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
. $abs_srcdir/../setgid-check
@@ -83,4 +83,4 @@ for p in empty -p; do
done
done
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/mkdir/t-slash b/tests/mkdir/t-slash
index 238394691..b96bf67dd 100755
--- a/tests/mkdir/t-slash
+++ b/tests/mkdir/t-slash
@@ -18,7 +18,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -30,4 +30,4 @@ test -d dir || fail=1
mkdir d2/ || fail=1
test -d d2 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail